#!/bin/sh
#
# script to generate a keyfile that is encrypted with openssl
#
# Written 2005 by Markus Nass <generalstone@gmx.net>
# Improved 2006 by Jonas Meurer <jonas@freesources.org>
# Further improved 2006 by Markus Nass <generalstone@gmx.net>

usage() {
  echo "Usage: $0 <key>"
  exit 1
}

if [ -z "${1-}" ] || [ "$1" = "-h" ] || [ "$1" = "--help" ]; then
  usage
fi

if [ -x /usr/bin/openssl ]; then
	dd if=/dev/random bs=1c count=256 | openssl enc -aes-256-cbc -e -salt >"$1"
else
	echo "/usr/bin/openssl is not available" && exit 1
fi
